Rakefile:7:in `require'

Added by Juan Rivero over 5 years ago

I'm trying to upgrade from 1.3.3 to 1.4.1 and I ran into a problem

When I do sudo rake generate_session_store I get this:

in /opt/redmine-1.4.1)
rake aborted!
uninitialized constant Rake::DSL
/opt/redmine-1.4.1/Rakefile:7:in `require'
(See full trace by running task with --trace)

Here's my gems list:

  • LOCAL GEMS ***

actionmailer (2.3.14)
actionpack (2.3.14)
activerecord (2.3.14)
activeresource (2.3.14)
activesupport (2.3.14)
bundler (1.1.3)
coderay (1.0.6)
fastercsv (1.5.4)
i18n (0.4.2)
mysql (2.8.1)
net-ldap (0.3.1)
pg (0.13.2)
rack (1.1.3)
rails (2.3.14)
rake (0.9.2.2)
rdoc (2.4.2)
rmagick (2.13.1)
ruby-openid (2.1.8)
tzinfo (0.3.33)

I've gone through forums, google, etc, and nothing has helped.

Any Ideas?

Replies (5)

RE: Rakefile:7:in `require' - Added by Juan Rivero over 5 years ago

More details with trace:

sudo rake generate_session_store --trace
(in /opt/redmine-1.4.1)
rake aborted!
uninitialized constant Rake::DSL
/usr/lib/ruby/1.8/rake.rb:2503:in `const_missing'
/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/tasklib.rb:8
/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/testtask.rb:4:in `require'
/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/testtask.rb:4
/opt/redmine-1.4.1/Rakefile:7:in `require'
/opt/redmine-1.4.1/Rakefile:7
/usr/lib/ruby/1.8/rake.rb:2383:in `load'
/usr/lib/ruby/1.8/rake.rb:2383:in `raw_load_rakefile'
/usr/lib/ruby/1.8/rake.rb:2017:in `load_rakefile'
/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:2016:in `load_rakefile'
/usr/lib/ruby/1.8/rake.rb:2000:in `run'
/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:1998:in `run'
/usr/bin/rake:28

RE: Rakefile:7:in `require' - Added by yannick quenec'hdu over 5 years ago

Same problem with redmine 2.0

I use rake 0.9.2.2

/opt/redmine-2.0# rake generate_secret_token --trace
(in /opt/redmine-2.0)
rake aborted!
uninitialized constant Rake::DSL
/usr/lib/ruby/1.8/rake.rb:2503:in `const_missing'
/var/lib/gems/1.8/gems/railties-3.2.3/lib/rails/tasks/documentation.rake:11
/var/lib/gems/1.8/gems/railties-3.2.3/lib/rails/tasks.rb:15:in `load'
/var/lib/gems/1.8/gems/railties-3.2.3/lib/rails/tasks.rb:15
/var/lib/gems/1.8/gems/railties-3.2.3/lib/rails/tasks.rb:6:in `each'
/var/lib/gems/1.8/gems/railties-3.2.3/lib/rails/tasks.rb:6
/var/lib/gems/1.8/gems/railties-3.2.3/lib/rails/application.rb:289:in `require'
/var/lib/gems/1.8/gems/railties-3.2.3/lib/rails/application.rb:289:in `initialize_tasks'
/var/lib/gems/1.8/gems/railties-3.2.3/lib/rails/railtie.rb:184:in `instance_exec'
/var/lib/gems/1.8/gems/railties-3.2.3/lib/rails/railtie.rb:184:in `load_tasks'
/var/lib/gems/1.8/gems/railties-3.2.3/lib/rails/railtie.rb:184:in `each'
/var/lib/gems/1.8/gems/railties-3.2.3/lib/rails/railtie.rb:184:in `load_tasks'
/var/lib/gems/1.8/gems/railties-3.2.3/lib/rails/engine.rb:424:in `load_tasks'
/var/lib/gems/1.8/gems/railties-3.2.3/lib/rails/application.rb:145:in `load_tasks'
/var/lib/gems/1.8/gems/railties-3.2.3/lib/rails/railtie/configurable.rb:30:in `send'
/var/lib/gems/1.8/gems/railties-3.2.3/lib/rails/railtie/configurable.rb:30:in `method_missing'
/opt/redmine-2.0/Rakefile:10
/usr/lib/ruby/1.8/rake.rb:2383:in `load'
/usr/lib/ruby/1.8/rake.rb:2383:in `raw_load_rakefile'
/usr/lib/ruby/1.8/rake.rb:2017:in `load_rakefile'
/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:2016:in `load_rakefile'
/usr/lib/ruby/1.8/rake.rb:2000:in `run'
/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:1998:in `run'
/usr/bin/rake:28

RE: Rakefile:7:in `require' - Added by Romain MONNIER about 5 years ago

Try

/var/lib/gems/1.8/bin/rake generate_secret_token

RE: Rakefile:7:in `require' - Added by Pierre de LESPINAY over 4 years ago

$ /var/lib/gems/1.8/bin/rake generate_secret_token

Worked for me, thanks

(1-5/5)